/*global $*/
var Pages = function(settings) {
    this.next = settings.next || $(".next");
    this.prev = settings.prev || $(".prev");
    this.pageClass = settings.pageClass || "page";
    this.currentPageClass = settings.currentPageClass || "curr-page";
    this._pageClass = "." + this.pageClass;
    this._currentPageClass = "." + this.currentPageClass;
    this.pagesContainer = settings.pagesContainer;
};

Pages.prototype.init = function() {
    var pages = this;
    $(document).ready(function(){
        $(pages.next).on('click', function(){
            pages.changePage(pages.nextPage());
        });

        $(pages.prev).on('click', function() {
            pages.changePage(pages.prevPage());
        });
    });
    
};

Pages.prototype.changePage = function(newPage) {
    var pages = this;
    var currentPage = pages.currentPage();
    $(currentPage).removeClass(pages.currentPageClass).hide();
    $(newPage).addClass(pages.currentPageClass).show();
    pages.resetButtons();    
};

Pages.prototype.resetButtons = function() {
    var pages = this;
    var currentPage = pages.currentPage();

    if (pages.nextPage().length == 0) {
        $(pages.next).hide();
    } else {
        $(pages.next).show();
    }

    if (pages.prevPage().length == 0) {
        $(pages.prev).hide();
    } else {
        $(pages.prev).show();
    }

};

Pages.prototype.currentPage = function () {
    var pages = this;
    return $(pages.pagesContainer).find(pages._currentPageClass);

};

Pages.prototype.nextPage = function(){
    var pages = this;
    return pages.currentPage().next(pages._pageClass);
};

Pages.prototype.prevPage = function () {
    var pages = this;
    return pages.currentPage().prev(pages._pageClass);
};


